.gin-secondary-toolbar .language-switcher-wrapper {
    order: 2 !important;
    margin-left: auto !important;
}
th.sortable-heading {
    white-space: nowrap !important;  /* Evita saltos de línea */
    word-break: normal !important;   /* Mantiene las palabras enteras */
    hyphens: none !important;        /* No permite la separación por guiones */
    min-width: 150px;                /* Ajusta el ancho mínimo */
}


.views-table-no-break th {
    white-space: nowrap;
    word-break: normal;
    hyphens: none;
}

/* Estilizar el select para que tenga un tamaño compacto con icono */
.custom-language-switcher {
    appearance: none;
    border: 1px solid #ccc;
    background: transparent;
    font-size: 0.875rem;
    line-height: 1;
    color: #222330;
    cursor: pointer;
    width: 40px; /* Tamaño compacto por defecto */
    height: 36px;
    transition: all 0.2s ease-in-out;
    text-align: center;
    overflow: hidden;
    white-space: nowrap;
    padding-left: 35px; /* Espacio para el icono */
    position: relative;
    background-image: url('../images/globe-icon.svg');
    background-repeat: no-repeat;
    background-position: 10px center;
    background-size: 18px 18px;
}

/* Cuando el usuario pasa el ratón, expande y separa el icono */
.custom-language-switcher:hover,
.custom-language-switcher:focus {
    width: 180px; /* Expande el selector */
    background-color: #e6e6e7;
    border-radius: 3px;
    text-align: left;
    padding-left: 40px; /* Separa más el texto del icono */
}

/* Mover el icono ligeramente a la izquierda cuando el selector está expandido */
.custom-language-switcher:hover::before,
.custom-language-switcher:focus::before {
    left: 8px;
}

/*Fin idiomas */

.toolbar-logo img {
	max-width: 100% !important;
	max-height: 100% !important;
}
/* Ocultar checkboxes "malos" fuera de una fila <tr> */
div.js-form-item.js-form-type-checkbox.form-type--checkbox.form-item--no-label:not(tr .js-form-item) {
    display: none !important;
}


.views-field.views-field-field-valoracion-1 {
  /* Sin cambios aquí */
}

.views-field.views-field-field-valoracion-1:has(> td:contains("-1.00€"))::after {
  content: "Sin valoración";
}

.toolbar-icon.toolbar-icon-views-viewviews-otros-servicios-page-1::before{
        mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/otros_servicios.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/otros_servicios.svg") !important;
}

.toolbar-icon.toolbar-icon-views-viewviews-mis-notas-page-1::before{
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/notas-icon.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/notas-icon.svg") !important;
}

.toolbar-icon.toolbar-icon-views-viewviews-misseguros-page-1::before {
 	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/seguros-icon.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/seguros-icon.svg") !important;
}



.databases::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/database.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/database.svg") !important;
}

.toolbar-icon.toolbar-icon-menu-link-contentd1e8a5c3-ded0-4e98-95f7-9b562a54681a::before,
.toolbar-icon.toolbar-icon-menu-link-content47961dda-6eca-4177-aa9c-7cd4118e1ae6::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/user.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/user.svg") !important;
}

.toolbar-icon.toolbar-icon-menu-link-contentb22e570b-3648-4743-aabc-928832080a74::before {
  mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/import.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/import.svg") !important;
}
.toolbar-icon.toolbar-icon-views-viewviews-activos-empresa-page-1::before,
.toolbar-icon.toolbar-icon-menu-link-content2a285a3d-372c-4abf-ac6a-5b5e800bebe8::before,
.toolbar-icon.toolbar-icon-views-viewviews-mis-valoraciones-page-1::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/asterisk.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/asterisk.svg") !important;
}
.toolbar-icon.toolbar-icon-views-viewviews-activos-empresa-page-1

.toolbar-icon.toolbar-icon-menu-link-contentd1e8a5c3-ded0-4e98-95f7-9b562a54681a::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/people-new.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/people-new.svg") !important;
}

.toolbar-icon.toolbar-icon-menu-link-contentcb194883-6b5d-42d4-b043-cdfd1dcf61e9::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/server.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/server.svg") !important;
}
.toolbar-icon.toolbar-icon-views-viewviews-mis-solicitudes-page-1::before,
.toolbar-icon.toolbar-icon-menu-link-content2982d82e-7e9f-447c-9544-5d2e905add36::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/announcement.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/announcement.svg") !important;
}


.toolbar-icon.toolbar-icon-views-viewviews-maquinas-page-1::before,
.toolbar-icon.toolbar-icon-menu-link-contentc7558abe-2136-4744-a657-6568b75b7eba::before,
.toolbar-icon.toolbar-icon-views-viewviews-mis-maquinas-page-1::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/machine.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/machine.svg") !important;
}

.toolbar-icon.toolbar-icon-views-viewviews-fabricas-page-1::before,
.toolbar-icon.toolbar-icon-menu-link-content211e5ed2-efc2-4410-884e-a4a2b75c490e::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/factory.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/factory.svg") !important;
}

.toolbar-icon.toolbar-icon-menu-link-content6670a603-e03e-4e2b-a242-2b3177d3db86::before,
.toolbar-icon.toolbar-icon-views-viewviews-mis-documentos-page-1::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/documents.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/documents.svg") !important;
}

.toolbar-icon.toolbar-icon-menu-link-content25aa3444-8cd0-45e0-8fa3-e6b62b4a62b6::before,
.toolbar-icon.toolbar-icon-views-viewviews-mis-documentos-page-1::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/documents.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/documents.svg") !important;
}

.toolbar-icon.toolbar-icon-menu-link-contente1d0472e-a46c-4773-9de4-9975f27e3238::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/groups.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/groups.svg") !important;
}

.toolbar-icon.toolbar-icon-menu-link-content917a3c39-35cc-48d4-aa6a-5255b5f54fc4::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/menu.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/menu.svg") !important;
}

.toolbar-icon.toolbar-icon-views-viewviews-mis-activos-page-1::before {
	mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/machine.svg") !important;
	-webkit-mask-image: url("https://empresas.indaxy.com/themes/contrib/gin/dist/media/machine.svg") !important;
}

#edit-submit.form-submit {
	color: #FFF !important;
}

.view-empty {
  background-color: #ffffff;
  padding: 1.5em;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  text-align: left;
  font-size: 1em;
  color: #333;
}

.toolbar .toolbar-bar .toolbar-menu-administration .toolbar-logo img {
	max-width: 100% !important;
	max-height: 100% !important;
}

/* Personalización del logo en la página de login */
body.gin-login .user-form-page__user-form img {
  max-width: 100% !important;
  max-height: 100px !important;  /* Ajusta este valor para el tamaño que quieras */
  top: 2.5rem !important;          /* Ajusta este valor para bajar más o menos la imagen */
  position: relative !important;
}
/* Ajustar el espaciado superior del contenedor del login */
body.gin-login .user-form-page .content-header {
  flex-basis: 100% !important;
  padding-top: 1rem !important;  /* Aumenta este valor para bajar todo el contenido (5.25rem es el original) */
  background: transparent !important;
}

/* Icono personalizado para el enlace de Logs */
/* Icono de Reports (Informes) para Logs */
a.toolbar-icon-menu-link-contentee3a62da-16b6-4913-a658-dafcf1e2a08f::before {
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath d='m1 1v14h14v-14zm2 2h10v2h-10zm0 4h4v6h-4zm6 0h4v2h-4zm0 4h4v2h-4z'/%3E%3C/svg%3E") !important;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath d='m1 1v14h14v-14zm2 2h10v2h-10zm0 4h4v6h-4zm6 0h4v2h-4zm0 4h4v2h-4z'/%3E%3C/svg%3E") !important;
}
/* Icono de casita para el enlace "Inicio" del toolbar */
a.toolbar-icon-admin-toolbar-tools-help.toolbar-icon-default::before {
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath d='M8 1L1 7h2v7h4v-4h2v4h4V7h2L8 1z'/%3E%3C/svg%3E") !important;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath d='M8 1L1 7h2v7h4v-4h2v4h4V7h2L8 1z'/%3E%3C/svg%3E") !important;
}